| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_extcap_arg Struct Reference

A fully parsed extcap argument sentence with all its associated options. More...

`#include <extcap_parser.h>`

## Public Attributes
int | arg_num
char * | call
char * | display
char * | tooltip
char * | placeholder
char * | fileextension
bool | fileexists
bool | is_required
bool | is_sufficient
bool | save
bool | reload
bool | configurable
char * | prefix
char * | regexp
char * | group
extcap_arg_type | arg_type
extcap_complex * | range_start
extcap_complex * | range_end
extcap_complex * | default_complex
char ** | pref_valptr
char * | device_name
GList * | values

## Detailed Description

A fully parsed extcap argument sentence with all its associated options.

## Member Data Documentation

## ◆ arg_num

int _extcap_arg::arg_num

Unique argument number used to associate value sentences with this argument

## ◆ arg_type

extcap_arg_type _extcap_arg::arg_type

Data type and GUI widget type for this argument

## ◆ call

char* _extcap_arg::call

CLI flag name passed to the extcap for this argument (e.g., "--port")

## ◆ configurable

bool _extcap_arg::configurable

If true, this argument may be reconfigured during an active capture

## ◆ default_complex

extcap_complex* _extcap_arg::default_complex

Default value; NULL if no default is specified

## ◆ device_name

char* _extcap_arg::device_name

Name of the capture device this argument is associated with

## ◆ display

char* _extcap_arg::display

Human-readable label shown in the capture options GUI

## ◆ fileexists

bool _extcap_arg::fileexists

If true, the selected file must already exist on disk

## ◆ fileextension

char* _extcap_arg::fileextension

Accepted file extension(s) for EXTCAP_ARG_FILESELECT arguments

## ◆ group

char* _extcap_arg::group

GUI group label used to visually cluster related arguments together

## ◆ is_required

bool _extcap_arg::is_required

If true, this argument must be set before capture can start

## ◆ is_sufficient

bool _extcap_arg::is_sufficient

If true, providing this argument alone is sufficient to start capture

## ◆ placeholder

char* _extcap_arg::placeholder

Placeholder text shown inside an empty string input widget

## ◆ pref_valptr

char** _extcap_arg::pref_valptr

Pointer to the preference storage location holding the current value

## ◆ prefix

char* _extcap_arg::prefix

Optional string prepended to the value on the CLI

## ◆ range_end

extcap_complex* _extcap_arg::range_end

Maximum allowed value for numeric arguments; NULL if unbounded

## ◆ range_start

extcap_complex* _extcap_arg::range_start

Minimum allowed value for numeric arguments; NULL if unbounded

## ◆ regexp

char* _extcap_arg::regexp

Regular expression pattern used to validate the argument's string value

## ◆ reload

bool _extcap_arg::reload

If true, changing this argument triggers a reload of dependent argument values

## ◆ save

bool _extcap_arg::save

If true, the argument value is persisted between capture sessions

## ◆ tooltip

char* _extcap_arg::tooltip

Tooltip text shown when hovering over the argument's widget

## ◆ values

GList* _extcap_arg::values

List of extcap_value entries for selector, radio, and multicheck arguments

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/extcap_parser.h